Module jdk.compiler
Package com.sun.source.tree

# Interface InstanceOfTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `ExpressionTree`, `Tree`

public interface InstanceOfTree extends ExpressionTree
A tree node for an `instanceof` expression. For example:

       expression instanceof type

See Java Language Specification:
  15.20.2 Type Comparison Operator instanceof
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`ExpressionTree`
`getExpression()`
Returns the expression to be tested.
`PatternTreePREVIEW`
`getPattern()`
Returns the tested pattern, or null if this instanceof does not use a pattern.
`Tree`
`getType()`
Returns the type for which to check.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getExpression

ExpressionTree getExpression()
Returns the expression to be tested.

Returns:
  the expression

### getType

Tree getType()
Returns the type for which to check.

Returns:
  the type
See Also:
  - `getPattern()`

### getPattern

PatternTreePREVIEW getPattern()
Returns the tested pattern, or null if this instanceof does not use a pattern.

For instanceof with a pattern, i.e. in the following form:

       expression instanceof type variable name

returns the pattern.

For instanceof without a pattern, i.e. in the following form:

       expression instanceof type

returns null.

Returns:
  the tested pattern, or null if this instanceof does not use a pattern
Since:
  16